# SPDX-FileCopyrightText: 2020 Wesley Schwengle <wesley@opndev.io>
#
# SPDX-License-Identifier: MIT

image: docker:stable
services:
  - docker:dind

variables:
  CI_PATH: registry.gitlab.com/$CI_PROJECT_PATH
  DOCKER_DRIVER: overlay2

before_script:
  - docker login -u gitlab-ci-token -p $CI_JOB_TOKEN registry.gitlab.com

stages:
  - build
  - license


build-oldstable:
  stage: build
  allow_failure: true
  script:
    - ./dev-bin/docker-build oldstable $CI_PATH $CI_COMMIT_REF_NAME

build-stable:
  stage: build
  allow_failure: true
  script:
    - ./dev-bin/docker-build stable $CI_PATH $CI_COMMIT_REF_NAME

build-testing:
  stage: build
  allow_failure: true
  script:
    - ./dev-bin/docker-build testing $CI_PATH $CI_COMMIT_REF_NAME

build-unstable:
  stage: build
  allow_failure: true
  script:
    - ./dev-bin/docker-build unstable $CI_PATH $CI_COMMIT_REF_NAME


license-check:
  stage: license
  rules:
    - when: always
  image:
    name: fsfe/reuse:latest
    entrypoint: [""]
  before_script: []
  script:
    - reuse lint
